Loading...
Searching...
No Matches
exception

## Classes

class | etl::exception

## Detailed Description

The base class for all ETL exceptions.

## Class Documentation

## etl::exception

class etl::exception

A low overhead exception base class.

### Public Types

typedef const char * | string_type
typedef int | numeric_type

### Public Member Functions

ETL_EXCEPTION_CONSTEXPR | exception (string_type reason_, string_type, numeric_type)
| Constructor.
ETL_EXCEPTION_CONSTEXPR string_type | what () const ETL_NOEXCEPT ETL_EXCEPTION_OVERRIDE
ETL_EXCEPTION_CONSTEXPR string_type | file_name () const
ETL_EXCEPTION_CONSTEXPR numeric_type | line_number () const

#### Member Function Documentation

## file_name()

ETL_EXCEPTION_CONSTEXPR string_type etl::exception::file_name | ( |  | ) | const

inline

Gets the file for the exception.

Returns
  const char* to the file.

## line_number()

ETL_EXCEPTION_CONSTEXPR numeric_type etl::exception::line_number | ( |  | ) | const

inline

Gets the line for the exception.

Returns
  int as line number.

## what()

ETL_EXCEPTION_CONSTEXPR string_type etl::exception::what | ( |  | ) | const

inline

Gets the reason for the exception.

Returns
  const char* to the reason.